



<!DOCTYPE html><html lang=zh-CN><head><meta http-equiv="Content-Type" content="text/html; charset=utf-8" /><meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1"><meta name="applicable-device" content="pc,mobile"><meta name="renderer" content="webkit"><meta name="viewport" content="width=device-width,initial-scale=1.0,maximum-scale=5,viewport-fit=cover">
<title>docker——容器安装tomcat</title>	
<script src="//n4.ikafan.com/assets/run_prettify.js?ac"></script>
<link rel="stylesheet" href="//n4.ikafan.com/assetsg/style.css">
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/fontello.css?ac"> -->
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/animation.css?ac"> -->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>
<script src="https://n4.ikafan.com/g/show.js"></script>

</head>
<div id="header" class="navbar navbar-default navbar-fixed-top header-01">
	<div class="container">
		<h1 class="logo">
			<a  href="/" title="巴特西"/>
							巴特西
			</a>
		</h1>
				<div role="navigation"  class="site-nav  primary-menu">
			<div class="menu-fix-box">
				 <ul id="menu-navigation" class="menu" >
<li><a href="/">首页</a></li>
<!-- <li><a href="/search/Hadoop/">Hadoop</a></li>
<li><a href="/search/Linux/">Linux</a></li>
<li><a href="/search/jQuery/">jQuery</a></li> -->
<li><a href="/search/Python/">Python</a></li>
<li><a href="/search/Java/">Java</a></li>
<li><a href="/search/PHP/">PHP</a></li>
<li><a href="/search/IOS/">IOS</a></li>
<li><a href="/search/Andorid/">Andorid</a></li>
<li><a href="/search/NodeJS/">NodeJS</a></li>
<li><a href="/search/JavaScript/">JavaScript</a></li>
<li><a href="/search/HTML5/">HTML5</a></li>
				</ul>					 			
			</div>
		</div>
				<!--<div class="right-nav">
				<button class="js-toggle-search"><i class="icon-search"></i></button>
		</div>-->
       
			</div>	
</div>

<div id="page-content">
	<div class="container">
		<div class="row">
			
			<div class="blog-post">
								<!--<div class="posts-top-cjtz clearfix"></div>-->
								<div class="post">
										<div class="post-title">
											<div id="title_top"></div>
<script>insertAdIfNeeded();</script>
						<h1 class="title">docker——容器安装tomcat</h1>
						<div class="post_icon">
							<span class="icon-clock-1"> 2024-03-22 13:19:31 </span>
						</div>
										<div class="post-content">
													<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
											
		<p>写在前面：</p>
<p>继续docker的学习，学习了docker的基本常用命令之后，我在docker上安装jdk，tomcat两个基本的java web工具，这里对操作流程记录一下。</p>
<p>软件准备：</p>
<p>1、jdk-7u79-linux-x64.tar.gz</p>
<p>2、apache-tomcat-8.0.36.tar.gz</p>
<p>下载centos镜像：（下载centos这个过程极其漫长）</p>
<div>
<pre class="prettyprint linenums"> # 启动docker服务<br />
 service docker start

 # 检索centos镜像<br />
 docker search centos

 # 下载centos镜像<br />
 docker pull centos</pre>
</div>
<p>创建并运行容器（appcentos）</p>
<div>
<pre class="prettyprint linenums">docker run -p 192.168.0.105:: -i -t  -v /niloay/software/:/mnt/software --name appcentos centos</pre>
</div>
<p>　　-p 将docker容器中的8080端口映射到 192.168.0.105的 8080端口 （192.168.0.105是VirtualBox中Centos虚拟机的ip，虚拟机使用桥接模式）</p>
<p>　　-t &nbsp;选项让Docker分配一个伪终端（ pseudo-tty）并绑定到容器的标准输入上，</p>
<p>　　-i &nbsp;则让容器的标准输入保持打开。</p>
<p>　　-v 将本机（虚拟机）的 /niloay/software 挂载到 容器的 /mnt/software目录中</p>
<p>　　--name 容器的名字为appcentos</p>
<p>　　centos 是上面安装的镜像</p>
<p><img referrerpolicy="no-referrer"src="https://images2015.cnblogs.com/blog/790163/201701/790163-20170107155846847-566231972.png" /></p>
<p>将Jdk压缩包和tomcat压缩包复制到 /web目录下：</p>
<div>
<pre class="prettyprint linenums"># 创建 /web目录<br />
mkdir  /web

# 复制jdk<br />
cp /mnt/software/jdk-7u79-linux-x64.tar.gz /web

# 复制tomcat<br />
cp /mnt/software/apache-tomcat-8.0..tar.gz /web</pre>
</div>
<p>安装JDK：</p>
<p>参考我的另一篇博客，centos安装JDK，<a href="http://www.cnblogs.com/niloay/p/6258910.html" rel="external nofollow noreferrer">http://www.cnblogs.com/niloay/p/6258910.html</a></p>
<p>安装tomcat : （tomcat直接解压就可以）</p>
<div>
<pre class="prettyprint linenums">tar zxvf  apache-tomcat-8.0.3.tar.gz</pre>
</div>
<p>启动tomcat：</p>
<div>
<pre class="prettyprint linenums"># 切换到tomcat的bin目录<br />
cd /web/apache-tomcat-8.0.3/bin

# 启动tomcat<br />
./start.sh

# 检查是否启动成功<br />
curl http://localhost:8080</pre>
</div>
<p>在实体机种访问tomcat（实体机的IP是192.168.0.101，VirtualBox中虚拟机的IP是192.168.0.105，记得关闭虚拟机的放火墙）</p>
<p>关闭防火墙：</p>
<div>
<pre class="prettyprint linenums">service iptables stop&nbsp;</pre>
</div>
<p><img referrerpolicy="no-referrer"src="https://images2015.cnblogs.com/blog/790163/201701/790163-20170107161401737-1274853532.png" /></p>
<p>将这里的修改commit到镜像中，设置TAG为v2</p>
<p><img referrerpolicy="no-referrer"src="https://images2015.cnblogs.com/blog/790163/201701/790163-20170107162235862-543206633.png" /></p>
<p>未完、待续....</p>												<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
																
<h2>最新文章</h2>	
<ol>
						<li><a href="https://www.batexi.com/a/2q7o3zx8.html">EntityFramework之你不知道的那些事（七）</a>
		</li>
						<li><a href="https://www.batexi.com/a/r8m27wrq.html">【写给大家看的CSS】定位元素：使用position&sol;display布局</a>
		</li>
						<li><a href="https://www.batexi.com/a/390yx448.html">Java实现文件压缩与解压</a>
		</li>
						<li><a href="https://www.batexi.com/a/390kvznq.html">查看SSIS Package 部署的历史记录</a>
		</li>
						<li><a href="https://www.batexi.com/a/90vmje48.html">2016-1-9 Quartz框架的学习，剪裁图片并设置边框</a>
		</li>
						<li><a href="https://www.batexi.com/a/q2wmejlq.html">Client Dependency学习</a>
		</li>
						<li><a href="https://www.batexi.com/a/qvv7wvxq.html">【nodemailer】 之邮件附件</a>
		</li>
						<li><a href="https://www.batexi.com/a/qdeydjz9.html">【HDOJ】5154 Harry and Magical Computer</a>
		</li>
						<li><a href="https://www.batexi.com/a/9rdvpne8.html">Android&comma;监控ContentProvider的数据改变</a>
		</li>
						<li><a href="https://www.batexi.com/a/8kp02lj9.html">hdu 4730 We Love MOE Girls</a>
		</li>
						<li><a href="https://www.batexi.com/a/qv124zoq.html">SQL Server中的高可用性1</a>
		</li>
						<li><a href="https://www.batexi.com/a/9jznoml8.html">mysql 无法启动的原因Can&amp;&num;39&semi;t start server&colon; can&amp;&num;39&semi;t create PID file&colon; No space left on device</a>
		</li>
						<li><a href="https://www.batexi.com/a/93wwxynq.html">mathematic语法基础</a>
		</li>
						<li><a href="https://www.batexi.com/a/9j12m7g9.html">Java笔记（十）堆与优先级队列</a>
		</li>
						<li><a href="https://www.batexi.com/a/qxdz7mv9.html">OpenStack-Ocata版&plus;CentOS7&period;6 云平台环境搭建 &mdash; 3&period;安装配置OpenStack认证服务（keystone）</a>
		</li>
						<li><a href="https://www.batexi.com/a/9j176ew9.html">【PyQt5-Qt Designer】QSlider滑块</a>
		</li>
						<li><a href="https://www.batexi.com/a/8o16m3pq.html">maven-assembly-plugin</a>
		</li>
						<li><a href="https://www.batexi.com/a/qv2xolx9.html">PAT甲级 1126&period; Eulerian Path &lpar;25&rpar;</a>
		</li>
						<li><a href="https://www.batexi.com/a/8ko141rq.html">free vmstat查看内存及系统调优【转】</a>
		</li>
						<li><a href="https://www.batexi.com/a/qnnyom2q.html">linux 下 php 安装 pthreads</a>
		</li>
		</ol>
	

<h2>热门文章</h2>	
<ol>
									<li><a href="https://www.batexi.com/a/1xq4x08z.html">为C&num; as 类型转换及Assembly&period;LoadFrom埋坑！</a>
			</li>
						<li><a href="https://www.batexi.com/a/390vv48d.html">再讲IQueryable&amp;lt&semi;T&amp;gt&semi;，揭开表达式树的神秘面纱</a>
			</li>
						<li><a href="https://www.batexi.com/a/1q2wvvq7.html">hadoop 2&period;7&period;3本地环境运行官方wordcount-基于HDFS</a>
			</li>
						<li><a href="https://www.batexi.com/a/r93p4z83.html">ASP&period;NET Core 中文文档 第四章 MVC（3&period;9）视图组件</a>
			</li>
						<li><a href="https://www.batexi.com/a/1q2kolq7.html">ASP&period;NET中常用的优化性能的方法</a>
			</li>
						<li><a href="https://www.batexi.com/a/5qyr628r.html">Node&period;js 教程 01 - 简介、安装及配置</a>
			</li>
						<li><a href="https://www.batexi.com/a/2q7n3j9e.html">MongoDB备份&lpar;mongodump&rpar;和恢复&lpar;mongorestore&rpar;</a>
			</li>
						<li><a href="https://www.batexi.com/a/oqvrex8x.html">OpenGL shader 中关于顶点坐标值的思考</a>
			</li>
						<li><a href="https://www.batexi.com/a/o8kvz59j.html">SpringMvc中初始化参数绑定</a>
			</li>
						<li><a href="https://www.batexi.com/a/4qnwl3qr.html">魅力 &period;NET：从 Mono、&period;NET Core 说起</a>
			</li>
			</ol>			
							
					</div>

					
<div class="next-prev-posts clearfix">
</div>
						 
				</div>
				
	<div class="clear"></div>

			</div>	
			

		</div>
</div>
</div>


<div class="clearfix"></div>
<div id="footer" class="two-s-footer">
	<div class="footer-box">
		<div class="container">
			<div class="row" style="padding-left: 15px;padding-right: 15px;">
			<div class="nav-footer">
				<a href="/">Home</a>
				</div>
				<div class="copyright-footer">
					<p>Powered By WordPress</p>
				</div>
							</div>
		</div>
	</div>
</div>
<div style="display:none">

</div>
<script src="//n4.ikafan.com/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
 </script>
</body>
</html>
